@import "variables";

body {
    --background-color:    #{$background-color};
    --header-color:        #{$header-color};
    --text-color:          #{$text-color};
    --text-color-highlight: #{$text-color};
    --text-color-fade:     #{$text-color-fade};
    --inverted-text-color: #{$inverted-text-color};
    --link-color:          #{$link-color};
    --visited-link-color:  #{$visited-link-color};
    --neutral-shade:       #{$neutral-shade};
    --blue-shade:          #{$blue-shade};
    --red-shade:           #{$red-shade};
    --dark-red-shade:      #{$dark-red-shade};
    --green-shade:         #{$green-shade};
    --orange-shade:        #{$orange-shade};
    --dark-orange-shade:   #{$dark-orange-shade};
    --brown-shade:         #{$brown-shade};
    --cyan-shade:          #{$cyan-shade};
    --purple-shade:        #{$purple-shade};
    --magenta-shade:       #{$magenta-shade};
    --gamma-opacity:       0.5;
    --gamma-opacity6:      0.66;
    --gamma-opacity8:      0.8;
    --link-code-background-color: #{$link-code-background-color};

    @media (prefers-contrast: more) {
        --text-color-fade: #{$text-color};
        --gamma-opacity:       0.75;
        --gamma-opacity6:      0.8;
        --gamma-opacity8:      0.95;
    }

    @include dark {
        --background-color:           #{$dark-background-color};
        --header-color:               #{$dark-header-color};
        --text-color:                 #{$dark-text-color};
        --text-color-highlight:       #{$dark-text-color-highlight};
        --text-color-fade:            #{$dark-text-color-fade};
        --inverted-text-color:        #{$dark-inverted-text-color};
        --link-color:                 #{$dark-link-color};
        --red-shade:                  #{$dark-red-shade};
        --orange-shade:               #{$dark-orange-shade};
        --visited-link-color:         #{$dark-visited-link-color};
        // --dark-visited-link-color: #{$dark-visited-link-color};
        --neutral-shade:              #{$dark-neutral-shade};
        --gamma-opacity:       0.75; // blending of white on black looks different than black on white
        --gamma-opacity6:      0.8;
        --gamma-opacity8:      0.82;
        --link-code-background-color: #{$dark-link-code-background-color};

        @media (prefers-contrast: more) {
            --text-color-fade: #{$dark-text-color};
            --gamma-opacity:       0.8;
            --gamma-opacity6:      0.9;
            --gamma-opacity8:      0.95;
        }
    }
}


